<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 

$adscripcion=$_GET['adscripcion'];
$tipo=$_GET['tipo'];

$annio=$_GET['annio'];
$ultima_inscripcion='0-0-'.$annio;


mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

$sql = "update docentes,oferta_academica set docentes.status='S' where docentes.id_docente=oferta_academica.id_profesor";
mysql_query($sql, $cn) or die(mysql_error());

$sql = "update docentes set dedicacion='5' where dedicacion=''";
mysql_query($sql, $cn) or die(mysql_error());

$sql = "update docentes set grado_acad='2' where grado_acad=''";
mysql_query($sql, $cn) or die(mysql_error());

// Se define el query de los datos que contendr� el reporte.

$query = "SELECT DISTINCT
'0000000141' as codinstituto,
docentes.tipo_doc as documento,
docentes.cedula,
'12490' as programa
from docentes,oferta_academica WHERE docentes.id_docente=oferta_academica.id_profesor and oferta_academica.annio='$annio' order by apellidos,nombres";


$r = mysql_query( $query ) or trigger_error( mysql_error($cn), E_USER_ERROR );
$return = '';
if( mysql_num_rows($r)>0){
    $return .= '<table border=1>';
    $cols = 0;
    while($rs = mysql_fetch_row($r)){
        $return .= '<tr>';
        if($cols==0){
            $cols = sizeof($rs);
            $cols_names = array();
            for($i=0; $i<$cols; $i++){
                $col_name = mysql_field_name($r,$i);
	
                   $return .= '<th>'.htmlspecialchars($col_name).'</th>';
                   $cols_names[$i] = $col_name;
			
            }
            $return .= '</tr><tr>';
        }
        for($i=0; $i<$cols; $i++){
            # En esta iteración se personalizan datos.
            if($cols_names[$i] == 'codinstituto'){ # Formateo el nombre de la institución.
                $return .= '<td>&nbsp;'.utf8_decode($rs[$i]).'</td>';
			}else{
                $return .= '<td>'.htmlspecialchars($rs[$i]).'</td>';
            }
        }
        $return .= '</tr>';
    }
    $return .= '</table>';
    mysql_free_result($r);
}
#Cambiando el content-type más las <table> se pueden exportar formatos como csv
header("Content-type: application/vnd-ms-excel; charset=iso-8859-1");
header("Content-Disposition: attachment; filename=archivo_7_enahp_".$annio.".xls");
echo $return; 
?>

